summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--source3/script/tests/functions4
-rw-r--r--source3/script/tests/runtests.sh6
2 files changed, 5 insertions, 5 deletions
diff --git a/source3/script/tests/functions b/source3/script/tests/functions
index 40e185e153..8cb8f0b155 100644
--- a/source3/script/tests/functions
+++ b/source3/script/tests/functions
@@ -34,7 +34,7 @@ stop_smbd()
## check to see if smbd is already running
check_smbd_running
- if test $? == 0; then
+ if test $? = 0; then
echo "Unable to stop smbd!"
exit 2
fi
@@ -74,7 +74,7 @@ stop_nmbd()
## check to see if smbd is already running
kill -0 $nmbd_pid 2> /dev/null
- if test $? == 0; then
+ if test $? = 0; then
echo "Unable to stop nmbd!"
exit 2
fi
diff --git a/source3/script/tests/runtests.sh b/source3/script/tests/runtests.sh
index a5dc3ecfb4..ddaf94e8ac 100644
--- a/source3/script/tests/runtests.sh
+++ b/source3/script/tests/runtests.sh
@@ -1,11 +1,11 @@
#!/bin/sh
-if [ "x$1" == "x" ]; then
+if [ "x$1" = "x" ]; then
echo "$0 <directory>"
exit 1
fi
-if [ $# == 2 ]; then
+if [ $# = 2 ]; then
testnum=$2
fi
@@ -49,7 +49,7 @@ export USERNAME PASSWORD
## verify that we were built with --enable-socket-wrapper
##
-if test "x`smbd -b | grep SOCKET_WRAPPER`" == "x"; then
+if test "x`smbd -b | grep SOCKET_WRAPPER`" = "x"; then
echo "***"
echo "*** You must include --enable-socket-wrapper when compiling Samba"
echo "*** in order to execute 'make test'. Exiting...."